org.apache.fop.svg

## Interface FOPTextHandler

All Superinterfaces:
  org.apache.xmlgraphics.java2d.TextHandler

All Known Implementing Classes:
  AFPTextHandler, FOPTextHandlerAdapter

    public interface FOPTextHandler
    extends org.apache.xmlgraphics.java2d.TextHandler

an fop extension to text handler

### Method Summary

All Methods Instance Methods Abstract Methods
`FontInfo` `getFontInfo()`
`void` `setOverrideFont(Font font)`

### Methods inherited from interface org.apache.xmlgraphics.java2d.TextHandler

`drawString`

### Method Detail

#### setOverrideFont

    void setOverrideFont(Font font)

Parameters:
  `font` - override font

#### getFontInfo

    FontInfo getFontInfo()

Returns:
  font info